# TODO: https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering
#       rpmlint warns about private-shared-object-provides
#       can't use filter because the package doesn't met any of the required criteria
#         ! Noarch package       ... caused by libreport wrappers shared library
#         ! no binaries in $PATH ... caused by gnome-abrt python script in /usr/bin

# Uncomment when building from a git snapshot.
#%%global snapshot 1
%global commit 3e3512d2d6c81a4ca9b3b4d3f3936c876a6482f7
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:       gnome-abrt
Version:    1.4.3
Release:    1.20240925072623607248.pr353.34.gc272257%{?dist}
Summary:    A utility for viewing problems that have occurred with the system

License:    GPL-2.0-or-later
URL:        https://github.com/abrt/%{name}
%if 0%{?snapshot}
Source0:    gnome-abrt-1.4.3.tar.gz
%else
Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz
%endif

BuildRequires: git-core
BuildRequires: meson >= 0.59.0
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: python3-devel
BuildRequires: desktop-file-utils
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: pkgconfig(pygobject-3.0)
BuildRequires: libreport-gtk-devel > 2.14.0
BuildRequires: python3-libreport
BuildRequires: abrt-gui-devel > 2.14.0
BuildRequires: gtk4-devel
BuildRequires: libadwaita-devel
%if 0%{?fedora}
BuildRequires: python3-six
BuildRequires: python3-gobject
BuildRequires: python3-dbus
BuildRequires: python3-humanize
%endif

Requires:   glib2%{?_isa} >= 2.63.2
Requires:   gobject-introspection%{?_isa} >= 1.63.1
Requires:   python3-libreport
Requires:   python3-gobject
Requires:   python3-dbus
Requires:   python3-humanize
Requires:   python3-beautifulsoup4

%description
A GNOME application allows users to browse through detected problems and
provides them with convenient way for managing these problems.


%prep
%autosetup -S git %{?snapshot:-n\ %{name}%-%{commit}} -n gnome-abrt-1.4.3


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name}

%check
%meson_test


%files -f %{name}.lang
%doc COPYING README.md
%{python3_sitearch}/gnome_abrt
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/*
%{_datadir}/metainfo/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/hicolor/*/apps/*

%changelog
* Wed Sep 25 2024 Packit <hello@packit.dev> - 1.4.3-1.20240925072623607248.pr353.34.gc272257
- clean up comments and lines (sshil)
- smaller and circular size lbl_count, some margin and padding added (sshil)
- system changed to kernel and searching kernel works. some gtkstackswitcher code is removed (sshil)
- ui changes in menu button and listbox (sshil)
- box_header_left and box_panel_left length alignment fixed now (sshil)
- resize restriction for left pane box_panel_left (sshil)
- gtkstackswitcher filtering problem rows deleted. lbl_type_crash improvement (sshil)
- lbl_type_crash color changes according to crash type (sshil)
- search entry enable-disable based on search icon - modern look (sshil)
- lbl_count>=1 showing in problem row, delete setting icon from lbl_summary and added warning icon in crashlbl_type_crash (sshil)
- listrow design change. delete, report button shifted to headerbar again (sshil)
- report, delete comes under each problem stack. new crash type label introduced - modern look. gtksstackswitcher visible turned off (sshil)
- how many times crash detected feature added in gtkstack, ui changes (sshil)
- search bar and menu button came together for modern look (sshil)
- modern Adawaita look for delete and report button (sshil)
- row/card view within gtkstack by introducing Adwaita and its layout in ui (sshil)
- multiple selection, multiple delete disabled & check button deleted which was introduced initiallly for multiple selection (sshil)
- dark theme introduced based on system theme (sshil)
- fixed error: copy problem id in clipboard by ctrl+c (sshil)
- dark mode feature added (sshil)
- now unselecting a row is possible. multiple selection button removed, checkbutton in each row added. (sshil)
- details, preference btn deleted. Transparent window and delete,report position fixed (sshil)
- fixed: gtk_widget_set_size_request width >= -1 failed error, removed close button (sshil)
- FIXED: deleteing a row keeps a blank space in list (sshil)
- now changing the width of box_panel_left affects the box_header_left (sshil)
- making the code comfortable with previous gtk3 code and deleted unwanted comment line - code rendering (sshil)
- gtkstack fixed values, removed grid (sshil)
- multiple selection toggle button, headerbar, gtkstack, meson_version, closebutton (sshil)
- fixed report, delete, close button, gtkstackswitcher. (sshil)
- first commit towards migrating to gtk4 (sshil)
- Require gtk4 and libadwaita (Michal Srb)
- chore: update copyright year (Maarten)
- Fix obsolete pygobject3-devel dependency (Yaakov Selkowitz)
- Update translations (mgrabovsky)
